import { Page } from "puppeteer";
import { ElementData } from "../types/index";
/**
 * Initializes the highlighting system in the page
 */
export declare function initializeHighlighter(page: Page): Promise<void>;
/**
 * Collects and returns data about highlighted elements with optimized output for AI token usage
 */
export declare function collectElementData(page: Page): Promise<{
    elements: ElementData[];
    textBlocks: any[];
}>;
/**
 * Collects meaningful text content from the page for context, optimized for token usage
 */
export declare function collectPageTextContext(page: Page): Promise<{
    pageContext: any;
}>;
